Index: library/tests/unittest-cpp/TestResults.cpp
===================================================================
--- library/tests/unittest-cpp/TestResults.cpp (revision 418)
+++ library/tests/unittest-cpp/TestResults.cpp (revision 477)
@@ -6,53 +6,45 @@
 namespace UnitTest {
 
-TestResults::TestResults(TestReporter* testReporter)
-    : m_testReporter(testReporter)
-    , m_totalTestCount(0)
-    , m_failedTestCount(0)
-    , m_failureCount(0)
-    , m_currentTestFailed(false)
-{
+TestResults::TestResults ( TestReporter* testReporter )
+		: m_testReporter ( testReporter )
+		, m_totalTestCount ( 0 )
+		, m_failedTestCount ( 0 )
+		, m_failureCount ( 0 )
+		, m_currentTestFailed ( false ) {
 }
 
-void TestResults::OnTestStart(TestDetails const& test)
-{
-    ++m_totalTestCount;
-    m_currentTestFailed = false;
-    if (m_testReporter)
-        m_testReporter->ReportTestStart(test);
+void TestResults::OnTestStart ( TestDetails const& test ) {
+	++m_totalTestCount;
+	m_currentTestFailed = false;
+	if ( m_testReporter )
+		m_testReporter->ReportTestStart ( test );
 }
 
-void TestResults::OnTestFailure(TestDetails const& test, char const* failure)
-{
-    ++m_failureCount;
-    if (!m_currentTestFailed)
-    {
-        ++m_failedTestCount;
-        m_currentTestFailed = true;
-    }
+void TestResults::OnTestFailure ( TestDetails const& test, char const* failure ) {
+	++m_failureCount;
+	if ( !m_currentTestFailed ) {
+		++m_failedTestCount;
+		m_currentTestFailed = true;
+	}
 
-    if (m_testReporter)
-        m_testReporter->ReportFailure(test, failure);
+	if ( m_testReporter )
+		m_testReporter->ReportFailure ( test, failure );
 }
 
-void TestResults::OnTestFinish(TestDetails const& test, float secondsElapsed)
-{
-    if (m_testReporter)
-        m_testReporter->ReportTestFinish(test, secondsElapsed);
+void TestResults::OnTestFinish ( TestDetails const& test, float secondsElapsed ) {
+	if ( m_testReporter )
+		m_testReporter->ReportTestFinish ( test, secondsElapsed );
 }
 
-int TestResults::GetTotalTestCount() const
-{
-    return m_totalTestCount;
+int TestResults::GetTotalTestCount() const {
+	return m_totalTestCount;
 }
 
-int TestResults::GetFailedTestCount() const
-{
-    return m_failedTestCount;
+int TestResults::GetFailedTestCount() const {
+	return m_failedTestCount;
 }
 
-int TestResults::GetFailureCount() const
-{
-    return m_failureCount;
+int TestResults::GetFailureCount() const {
+	return m_failureCount;
 }
 
Index: library/tests/unittest-cpp/TestReporter.cpp
===================================================================
--- library/tests/unittest-cpp/TestReporter.cpp (revision 418)
+++ library/tests/unittest-cpp/TestReporter.cpp (revision 477)
@@ -4,6 +4,5 @@
 
 
-TestReporter::~TestReporter()
-{
+TestReporter::~TestReporter() {
 }
 
Index: library/tests/unittest-cpp/DeferredTestReporter.cpp
===================================================================
--- library/tests/unittest-cpp/DeferredTestReporter.cpp (revision 418)
+++ library/tests/unittest-cpp/DeferredTestReporter.cpp (revision 477)
@@ -4,25 +4,21 @@
 using namespace UnitTest;
 
-void DeferredTestReporter::ReportTestStart(TestDetails const& details)
-{
-    m_results.push_back(DeferredTestResult(details.suiteName, details.testName));
+void DeferredTestReporter::ReportTestStart ( TestDetails const& details ) {
+	m_results.push_back ( DeferredTestResult ( details.suiteName, details.testName ) );
 }
 
-void DeferredTestReporter::ReportFailure(TestDetails const& details, char const* failure)
-{
-    DeferredTestResult& r = m_results.back();
-    r.failed = true;
-    r.failures.push_back(DeferredTestResult::Failure(details.lineNumber, failure));
-    r.failureFile = details.filename;
+void DeferredTestReporter::ReportFailure ( TestDetails const& details, char const* failure ) {
+	DeferredTestResult& r = m_results.back();
+	r.failed = true;
+	r.failures.push_back ( DeferredTestResult::Failure ( details.lineNumber, failure ) );
+	r.failureFile = details.filename;
 }
 
-void DeferredTestReporter::ReportTestFinish(TestDetails const&, float secondsElapsed)
-{
-    DeferredTestResult& r = m_results.back();
-    r.timeElapsed = secondsElapsed;
+void DeferredTestReporter::ReportTestFinish ( TestDetails const&, float secondsElapsed ) {
+	DeferredTestResult& r = m_results.back();
+	r.timeElapsed = secondsElapsed;
 }
 
-DeferredTestReporter::DeferredTestResultList& DeferredTestReporter::GetResults()
-{
-    return m_results;
+DeferredTestReporter::DeferredTestResultList& DeferredTestReporter::GetResults() {
+	return m_results;
 }
Index: library/tests/unittest-cpp/TestReporterStdout.cpp
===================================================================
--- library/tests/unittest-cpp/TestReporterStdout.cpp (revision 456)
+++ library/tests/unittest-cpp/TestReporterStdout.cpp (revision 477)
@@ -6,48 +6,44 @@
 // cstdio doesn't pull in namespace std on VC6, so we do it here.
 #if defined(_MSC_VER) && (_MSC_VER == 1200)
-	namespace std {}
+namespace std {}
 #endif
 
 namespace UnitTest {
 
-void TestReporterStdout::ReportFailure(TestDetails const& details, char const* failure)
-{
+void TestReporterStdout::ReportFailure ( TestDetails const& details, char const* failure ) {
 #if defined(__APPLE__) || defined(__GNUG__)
-    char const* const errorFormat = "%s:%d: error: Failure in %s: %s\n";
+	char const* const errorFormat = "%s:%d: error: Failure in %s: %s\n";
 #else
-    char const* const errorFormat = "%s(%d): error: Failure in %s: %s\n";
+	char const* const errorFormat = "%s(%d): error: Failure in %s: %s\n";
 #endif
 
-    using namespace std;
+	using namespace std;
 
-    if (details.useFilename) {
-        // standard way
-	printf(errorFormat, details.filename, details.lineNumber, details.testName, failure);
-    } else { 
-        // extended for BDM - the failure string already includes
-	// (custom) test location info
-	printf("%s\n", failure);
-    }
+	if ( details.useFilename ) {
+		// standard way
+		printf ( errorFormat, details.filename, details.lineNumber, details.testName, failure );
+	} else {
+		// extended for BDM - the failure string already includes
+		// (custom) test location info
+		printf ( "%s\n", failure );
+	}
 }
 
-void TestReporterStdout::ReportTestStart(TestDetails const& /*test*/)
-{
+void TestReporterStdout::ReportTestStart ( TestDetails const& /*test*/ ) {
 }
 
-void TestReporterStdout::ReportTestFinish(TestDetails const& /*test*/, float)
-{
+void TestReporterStdout::ReportTestFinish ( TestDetails const& /*test*/, float ) {
 }
 
-void TestReporterStdout::ReportSummary(int const totalTestCount, int const failedTestCount,
-                                       int const failureCount, float secondsElapsed)
-{
+void TestReporterStdout::ReportSummary ( int const totalTestCount, int const failedTestCount,
+        int const failureCount, float secondsElapsed ) {
 	using namespace std;
 
-    if (failureCount > 0)
-        printf("FAILURE: %d out of %d tests failed (%d failures).\n", failedTestCount, totalTestCount, failureCount);
-    else
-        printf("Success: %d tests passed.\n", totalTestCount);
+	if ( failureCount > 0 )
+		printf ( "FAILURE: %d out of %d tests failed (%d failures).\n", failedTestCount, totalTestCount, failureCount );
+	else
+		printf ( "Success: %d tests passed.\n", totalTestCount );
 
-    printf("Test time: %.2f seconds.\n", secondsElapsed);
+	printf ( "Test time: %.2f seconds.\n", secondsElapsed );
 }
 
Index: library/tests/unittest-cpp/TimeConstraint.h
===================================================================
--- library/tests/unittest-cpp/TimeConstraint.h (revision 418)
+++ library/tests/unittest-cpp/TimeConstraint.h (revision 477)
@@ -9,16 +9,15 @@
 class TestDetails;
 
-class TimeConstraint
-{
+class TimeConstraint {
 public:
-    TimeConstraint(int ms, TestDetails const& details);
-    ~TimeConstraint();
+	TimeConstraint ( int ms, TestDetails const& details );
+	~TimeConstraint();
 
 private:
-    void operator=(TimeConstraint const&); 
-	TimeConstraint(TimeConstraint const&);
+	void operator= ( TimeConstraint const& );
+	TimeConstraint ( TimeConstraint const& );
 
 	Timer m_timer;
-    TestDetails const& m_details;
+	TestDetails const& m_details;
 	int const m_maxMs;
 };
Index: library/tests/unittest-cpp/TestList.cpp
===================================================================
--- library/tests/unittest-cpp/TestList.cpp (revision 418)
+++ library/tests/unittest-cpp/TestList.cpp (revision 477)
@@ -6,33 +6,26 @@
 namespace UnitTest {
 
-TestList::TestList() 
-    : m_head(0)
-    , m_tail(0)
-{
+TestList::TestList()
+		: m_head ( 0 )
+		, m_tail ( 0 ) {
 }
 
-void TestList::Add(Test* test)
-{
-    if (m_tail == 0)
-    {
-        assert(m_head == 0);
-        m_head = test;
-        m_tail = test;
-    }
-    else
-    {
-        m_tail->next = test;
-        m_tail = test;
-    }
+void TestList::Add ( Test* test ) {
+	if ( m_tail == 0 ) {
+		assert ( m_head == 0 );
+		m_head = test;
+		m_tail = test;
+	} else {
+		m_tail->next = test;
+		m_tail = test;
+	}
 }
 
-Test* TestList::GetHead() const
-{
-    return m_head;
+Test* TestList::GetHead() const {
+	return m_head;
 }
 
-ListAdder::ListAdder(TestList& list, Test* test)
-{
-    list.Add(test);
+ListAdder::ListAdder ( TestList& list, Test* test ) {
+	list.Add ( test );
 }
 
Index: library/tests/unittest-cpp/TestRunner.h
===================================================================
--- library/tests/unittest-cpp/TestRunner.h (revision 418)
+++ library/tests/unittest-cpp/TestRunner.h (revision 477)
@@ -14,34 +14,29 @@
 int RunAllTests();
 
-struct True
-{
-	bool operator()(const Test* const) const
-	{
-		return true;	
+struct True {
+	bool operator() ( const Test* const ) const {
+		return true;
 	}
 };
 
-class TestRunner
-{
+class TestRunner {
 public:
-	explicit TestRunner(TestReporter& reporter);
+	explicit TestRunner ( TestReporter& reporter );
 	~TestRunner();
 
 	template <class Predicate>
-	int RunTestsIf(TestList const& list, char const* suiteName, 
-				   const Predicate& predicate, int maxTestTimeInMs) const
-	{
-	    Test* curTest = list.GetHead();
+	int RunTestsIf ( TestList const& list, char const* suiteName,
+	                 const Predicate& predicate, int maxTestTimeInMs ) const {
+		Test* curTest = list.GetHead();
 
-	    while (curTest != 0)
-	    {
-		    if (IsTestInSuite(curTest, suiteName) && predicate(curTest))
-				RunTest(m_result, curTest, maxTestTimeInMs);
+		while ( curTest != 0 ) {
+			if ( IsTestInSuite ( curTest, suiteName ) && predicate ( curTest ) )
+				RunTest ( m_result, curTest, maxTestTimeInMs );
 
 			curTest = curTest->next;
-	    }
+		}
 
-	    return Finish();
-	}	
+		return Finish();
+	}
 
 private:
@@ -51,6 +46,6 @@
 
 	int Finish() const;
-	bool IsTestInSuite(const Test* const curTest, char const* suiteName) const;
-	void RunTest(TestResults* const result, Test* const curTest, int const maxTestTimeInMs) const;
+	bool IsTestInSuite ( const Test* const curTest, char const* suiteName ) const;
+	void RunTest ( TestResults* const result, Test* const curTest, int const maxTestTimeInMs ) const;
 };
 
Index: library/tests/unittest-cpp/Test.cpp
===================================================================
--- library/tests/unittest-cpp/Test.cpp (revision 435)
+++ library/tests/unittest-cpp/Test.cpp (revision 477)
@@ -9,37 +9,32 @@
 
 #ifdef UNITTEST_POSIX
-    #include "Posix/SignalTranslator.h"
+#include "Posix/SignalTranslator.h"
 #endif
 
 namespace UnitTest {
 
-TestList& Test::GetTestList()
-{
-    static TestList s_list;
-    return s_list;
+TestList& Test::GetTestList() {
+	static TestList s_list;
+	return s_list;
 }
 
-Test::Test(char const* testName, char const* suiteName, char const* filename, int lineNumber)
-    : m_details(testName, suiteName, filename, lineNumber)
-    , next(0)
-    , m_timeConstraintExempt(false)
-{
+Test::Test ( char const* testName, char const* suiteName, char const* filename, int lineNumber )
+		: m_details ( testName, suiteName, filename, lineNumber )
+		, next ( 0 )
+		, m_timeConstraintExempt ( false ) {
 }
 
-Test::~Test()
-{
+Test::~Test() {
 }
 
-void Test::Run()
-{
+void Test::Run() {
 	// made more chatty; presumes the only used test reporter is
 	// TestReporterStdout
-	std::printf("running %s...\n", m_details.testName);
+	std::printf ( "running %s...\n", m_details.testName );
 
-	ExecuteTest(*this, m_details);
+	ExecuteTest ( *this, m_details );
 }
 
-void Test::RunImpl() const
-{
+void Test::RunImpl() const {
 }
 
Index: library/tests/unittest-cpp/MemoryOutStream.h
===================================================================
--- library/tests/unittest-cpp/MemoryOutStream.h (revision 418)
+++ library/tests/unittest-cpp/MemoryOutStream.h (revision 477)
@@ -8,19 +8,17 @@
 #include <sstream>
 
-namespace UnitTest
-{
+namespace UnitTest {
 
-class MemoryOutStream : public std::ostringstream
-{
+class MemoryOutStream : public std::ostringstream {
 public:
-    MemoryOutStream() {}
-    ~MemoryOutStream() {}
-    char const* GetText() const;
+	MemoryOutStream() {}
+	~MemoryOutStream() {}
+	char const* GetText() const;
 
 private:
-    MemoryOutStream(MemoryOutStream const&);
-    void operator =(MemoryOutStream const&);
+	MemoryOutStream ( MemoryOutStream const& );
+	void operator = ( MemoryOutStream const& );
 
-    mutable std::string m_text;
+	mutable std::string m_text;
 };
 
@@ -31,33 +29,31 @@
 #include <cstddef>
 
-namespace UnitTest
-{
+namespace UnitTest {
 
-class MemoryOutStream
-{
+class MemoryOutStream {
 public:
-    explicit MemoryOutStream(int const size = 256);
-    ~MemoryOutStream();
+	explicit MemoryOutStream ( int const size = 256 );
+	~MemoryOutStream();
 
-    char const* GetText() const;
+	char const* GetText() const;
 
-    MemoryOutStream& operator << (char const* txt);
-    MemoryOutStream& operator << (int n);
-    MemoryOutStream& operator << (long n);
-    MemoryOutStream& operator << (unsigned long n);
-    MemoryOutStream& operator << (float f);
-    MemoryOutStream& operator << (double d);
-    MemoryOutStream& operator << (void const* p);
-    MemoryOutStream& operator << (unsigned int s);
+	MemoryOutStream& operator << ( char const* txt );
+	MemoryOutStream& operator << ( int n );
+	MemoryOutStream& operator << ( long n );
+	MemoryOutStream& operator << ( unsigned long n );
+	MemoryOutStream& operator << ( float f );
+	MemoryOutStream& operator << ( double d );
+	MemoryOutStream& operator << ( void const* p );
+	MemoryOutStream& operator << ( unsigned int s );
 
-    enum { GROW_CHUNK_SIZE = 32 };
-    int GetCapacity() const;
+	enum { GROW_CHUNK_SIZE = 32 };
+	int GetCapacity() const;
 
 private:
-    void operator= (MemoryOutStream const&);
-    void GrowBuffer(int capacity);
+	void operator= ( MemoryOutStream const& );
+	void GrowBuffer ( int capacity );
 
-    int m_capacity;
-    char* m_buffer;
+	int m_capacity;
+	char* m_buffer;
 };
 
Index: library/tests/unittest-cpp/CurrentTest.cpp
===================================================================
--- library/tests/unittest-cpp/CurrentTest.cpp (revision 418)
+++ library/tests/unittest-cpp/CurrentTest.cpp (revision 477)
@@ -4,12 +4,10 @@
 namespace UnitTest {
 
-TestResults*& CurrentTest::Results()
-{
+TestResults*& CurrentTest::Results() {
 	static TestResults* testResults = NULL;
 	return testResults;
 }
 
-const TestDetails*& CurrentTest::Details()
-{
+const TestDetails*& CurrentTest::Details() {
 	static const TestDetails* testDetails = NULL;
 	return testDetails;
Index: library/tests/unittest-cpp/XmlTestReporter.cpp
===================================================================
--- library/tests/unittest-cpp/XmlTestReporter.cpp (revision 418)
+++ library/tests/unittest-cpp/XmlTestReporter.cpp (revision 477)
@@ -12,28 +12,25 @@
 namespace {
 
-void ReplaceChar(string& str, char c, string const& replacement)
-{
-    for (size_t pos = str.find(c); pos != string::npos; pos = str.find(c, pos + 1))
-        str.replace(pos, 1, replacement);
+void ReplaceChar ( string& str, char c, string const& replacement ) {
+	for ( size_t pos = str.find ( c ); pos != string::npos; pos = str.find ( c, pos + 1 ) )
+		str.replace ( pos, 1, replacement );
 }
 
-string XmlEscape(string const& value)
-{
-    string escaped = value;
+string XmlEscape ( string const& value ) {
+	string escaped = value;
 
-    ReplaceChar(escaped, '&', "&amp;");
-    ReplaceChar(escaped, '<', "&lt;");
-    ReplaceChar(escaped, '>', "&gt;");
-    ReplaceChar(escaped, '\'', "&apos;");
-    ReplaceChar(escaped, '\"', "&quot;");
- 
-    return escaped;
+	ReplaceChar ( escaped, '&', "&amp;" );
+	ReplaceChar ( escaped, '<', "&lt;" );
+	ReplaceChar ( escaped, '>', "&gt;" );
+	ReplaceChar ( escaped, '\'', "&apos;" );
+	ReplaceChar ( escaped, '\"', "&quot;" );
+
+	return escaped;
 }
 
-string BuildFailureMessage(string const& file, int line, string const& message)
-{
-    ostringstream failureMessage;
-    failureMessage << file << "(" << line << ") : " << message;
-    return failureMessage.str();
+string BuildFailureMessage ( string const& file, int line, string const& message ) {
+	ostringstream failureMessage;
+	failureMessage << file << "(" << line << ") : " << message;
+	return failureMessage.str();
 }
 
@@ -42,85 +39,75 @@
 namespace UnitTest {
 
-XmlTestReporter::XmlTestReporter(ostream& ostream)
-    : m_ostream(ostream)
-{
+XmlTestReporter::XmlTestReporter ( ostream& ostream )
+		: m_ostream ( ostream ) {
 }
 
-void XmlTestReporter::ReportSummary(int totalTestCount, int failedTestCount,
-                                    int failureCount, float secondsElapsed)
-{
-    AddXmlElement(m_ostream, NULL);
+void XmlTestReporter::ReportSummary ( int totalTestCount, int failedTestCount,
+                                      int failureCount, float secondsElapsed ) {
+	AddXmlElement ( m_ostream, NULL );
 
-    BeginResults(m_ostream, totalTestCount, failedTestCount, failureCount, secondsElapsed);
+	BeginResults ( m_ostream, totalTestCount, failedTestCount, failureCount, secondsElapsed );
 
-    DeferredTestResultList const& results = GetResults();
-    for (DeferredTestResultList::const_iterator i = results.begin(); i != results.end(); ++i)
-    {
-        BeginTest(m_ostream, *i);
+	DeferredTestResultList const& results = GetResults();
+	for ( DeferredTestResultList::const_iterator i = results.begin(); i != results.end(); ++i ) {
+		BeginTest ( m_ostream, *i );
 
-        if (i->failed)
-            AddFailure(m_ostream, *i);
+		if ( i->failed )
+			AddFailure ( m_ostream, *i );
 
-        EndTest(m_ostream, *i);
-    }
+		EndTest ( m_ostream, *i );
+	}
 
-    EndResults(m_ostream);
+	EndResults ( m_ostream );
 }
 
-void XmlTestReporter::AddXmlElement(ostream& os, char const* encoding)
-{
-    os << "<?xml version=\"1.0\"";
+void XmlTestReporter::AddXmlElement ( ostream& os, char const* encoding ) {
+	os << "<?xml version=\"1.0\"";
 
-    if (encoding != NULL)
-        os << " encoding=\"" << encoding << "\"";
+	if ( encoding != NULL )
+		os << " encoding=\"" << encoding << "\"";
 
-    os << "?>";
+	os << "?>";
 }
 
-void XmlTestReporter::BeginResults(std::ostream& os, int totalTestCount, int failedTestCount, 
-                                   int failureCount, float secondsElapsed)
-{
-   os << "<unittest-results"
-       << " tests=\"" << totalTestCount << "\"" 
-       << " failedtests=\"" << failedTestCount << "\"" 
-       << " failures=\"" << failureCount << "\"" 
-       << " time=\"" << secondsElapsed << "\""
-       << ">";
+void XmlTestReporter::BeginResults ( std::ostream& os, int totalTestCount, int failedTestCount,
+                                     int failureCount, float secondsElapsed ) {
+	os << "<unittest-results"
+	<< " tests=\"" << totalTestCount << "\""
+	<< " failedtests=\"" << failedTestCount << "\""
+	<< " failures=\"" << failureCount << "\""
+	<< " time=\"" << secondsElapsed << "\""
+	<< ">";
 }
 
-void XmlTestReporter::EndResults(std::ostream& os)
-{
-    os << "</unittest-results>";
+void XmlTestReporter::EndResults ( std::ostream& os ) {
+	os << "</unittest-results>";
 }
 
-void XmlTestReporter::BeginTest(std::ostream& os, DeferredTestResult const& result)
-{
-    os << "<test"
-        << " suite=\"" << result.suiteName << "\"" 
-        << " name=\"" << result.testName << "\""
-        << " time=\"" << result.timeElapsed << "\"";
+void XmlTestReporter::BeginTest ( std::ostream& os, DeferredTestResult const& result ) {
+	os << "<test"
+	<< " suite=\"" << result.suiteName << "\""
+	<< " name=\"" << result.testName << "\""
+	<< " time=\"" << result.timeElapsed << "\"";
 }
 
-void XmlTestReporter::EndTest(std::ostream& os, DeferredTestResult const& result)
-{
-    if (result.failed)
-        os << "</test>";
-    else
-        os << "/>";
+void XmlTestReporter::EndTest ( std::ostream& os, DeferredTestResult const& result ) {
+	if ( result.failed )
+		os << "</test>";
+	else
+		os << "/>";
 }
 
-void XmlTestReporter::AddFailure(std::ostream& os, DeferredTestResult const& result)
-{
-    os << ">"; // close <test> element
+void XmlTestReporter::AddFailure ( std::ostream& os, DeferredTestResult const& result ) {
+	os << ">"; // close <test> element
 
-    for (DeferredTestResult::FailureVec::const_iterator it = result.failures.begin(); 
-         it != result.failures.end(); 
-         ++it)
-    {
-        string const escapedMessage = XmlEscape(it->second);
-        string const message = BuildFailureMessage(result.failureFile, it->first, escapedMessage);
+	for ( DeferredTestResult::FailureVec::const_iterator it = result.failures.begin();
+	        it != result.failures.end();
+	        ++it ) {
+		string const escapedMessage = XmlEscape ( it->second );
+		string const message = BuildFailureMessage ( result.failureFile, it->first, escapedMessage );
 
-        os << "<failure" << " message=\"" << message << "\"" << "/>";
-    }
+		os << "<failure" << " message=\"" << message << "\"" << "/>";
+	}
 }
 
Index: library/tests/unittest-cpp/DeferredTestResult.h
===================================================================
--- library/tests/unittest-cpp/DeferredTestResult.h (revision 418)
+++ library/tests/unittest-cpp/DeferredTestResult.h (revision 477)
@@ -7,22 +7,20 @@
 #include <vector>
 
-namespace UnitTest
-{
+namespace UnitTest {
 
-struct DeferredTestResult
-{
+struct DeferredTestResult {
 	DeferredTestResult();
-    DeferredTestResult(char const* suite, char const* test);
-    ~DeferredTestResult();
-    
-    std::string suiteName;
-    std::string testName;
-    std::string failureFile;
-    
-    typedef std::pair< int, std::string > Failure;
-    typedef std::vector< Failure > FailureVec;
-    FailureVec failures;
-    
-    float timeElapsed;
+	DeferredTestResult ( char const* suite, char const* test );
+	~DeferredTestResult();
+
+	std::string suiteName;
+	std::string testName;
+	std::string failureFile;
+
+	typedef std::pair< int, std::string > Failure;
+	typedef std::vector< Failure > FailureVec;
+	FailureVec failures;
+
+	float timeElapsed;
 	bool failed;
 };
Index: library/tests/unittest-cpp/TestDetails.cpp
===================================================================
--- library/tests/unittest-cpp/TestDetails.cpp (revision 456)
+++ library/tests/unittest-cpp/TestDetails.cpp (revision 477)
@@ -3,20 +3,18 @@
 namespace UnitTest {
 
-TestDetails::TestDetails(char const* testName_, char const* suiteName_, char const* filename_, int lineNumber_, bool useFilename_)
-    : suiteName(suiteName_)
-    , testName(testName_)
-    , filename(filename_)
-    , lineNumber(lineNumber_)
-    , useFilename(useFilename_)
-{
+TestDetails::TestDetails ( char const* testName_, char const* suiteName_, char const* filename_, int lineNumber_, bool useFilename_ )
+		: suiteName ( suiteName_ )
+		, testName ( testName_ )
+		, filename ( filename_ )
+		, lineNumber ( lineNumber_ )
+		, useFilename ( useFilename_ ) {
 }
 
-TestDetails::TestDetails(const TestDetails& details, int lineNumber_, bool useFilename_)
-    : suiteName(details.suiteName)
-    , testName(details.testName)
-    , filename(details.filename)
-    , lineNumber(lineNumber_)
-    , useFilename(useFilename_)
-{
+TestDetails::TestDetails ( const TestDetails& details, int lineNumber_, bool useFilename_ )
+		: suiteName ( details.suiteName )
+		, testName ( details.testName )
+		, filename ( details.filename )
+		, lineNumber ( lineNumber_ )
+		, useFilename ( useFilename_ ) {
 }
 
Index: library/tests/unittest-cpp/AssertException.h
===================================================================
--- library/tests/unittest-cpp/AssertException.h (revision 418)
+++ library/tests/unittest-cpp/AssertException.h (revision 477)
@@ -7,19 +7,18 @@
 namespace UnitTest {
 
-class AssertException : public std::exception
-{
+class AssertException : public std::exception {
 public:
-    AssertException(char const* description, char const* filename, int lineNumber);
-    virtual ~AssertException() throw();
+	AssertException ( char const* description, char const* filename, int lineNumber );
+	virtual ~AssertException() throw();
 
-    virtual char const* what() const throw();
+	virtual char const* what() const throw();
 
-    char const* Filename() const;
-    int LineNumber() const;
+	char const* Filename() const;
+	int LineNumber() const;
 
 private:
-    char m_description[512];
-    char m_filename[256];
-    int m_lineNumber;
+	char m_description[512];
+	char m_filename[256];
+	int m_lineNumber;
 };
 
Index: library/tests/merger_test.cpp
===================================================================
--- library/tests/merger_test.cpp (revision 386)
+++ library/tests/merger_test.cpp (revision 477)
@@ -13,36 +13,39 @@
 	RNG_randomize();
 
-	RV x ( "{x }","1" );
+	RV x ( "{x }", "1" );
 
 	RV z ( x );
 
-	enorm<fsqmat> f1; f1.set_rv ( x );
-	enorm<fsqmat> f2; f2.set_rv ( x );
+	enorm<fsqmat> f1;
+	f1.set_rv ( x );
+	enorm<fsqmat> f2;
+	f2.set_rv ( x );
 
-	f1.set_parameters ( "-5",mat ( "2" ) );
-	f2.set_parameters ( "5",mat ( "10" ) );
+	f1.set_parameters ( "-5", mat ( "2" ) );
+	f2.set_parameters ( "5", mat ( "10" ) );
 
 	Array<mpdf* > A ( 2 );
 	mepdf A1 ( &f1 );
 	mepdf A2 ( &f2 );
-	A ( 0 ) =&A1;
-	A ( 1 ) =&A2;
+	A ( 0 ) = &A1;
+	A ( 1 ) = &A2;
 
-	int Npoints=100;
-	mat x_grid ( 1,Npoints );
-	x_grid.set_row ( 0,linspace ( -10.0, 10.0 ) );
+	int Npoints = 100;
+	mat x_grid ( 1, Npoints );
+	x_grid.set_row ( 0, linspace ( -10.0, 10.0 ) );
 
-	vec l_f1=f1.evallog_m ( x_grid );
-	vec l_f2=f2.evallog_m ( x_grid );
-	mat lW ( 2,Npoints );
+	vec l_f1 = f1.evallog_m ( x_grid );
+	vec l_f2 = f2.evallog_m ( x_grid );
+	mat lW ( 2, Npoints );
 	lW.set_row ( 0, l_f1 );
 	lW.set_row ( 1, l_f2 );
 
 	merger_base M ( A );
-	enorm<fsqmat> g0; g0.set_rv ( x );
-	g0.set_parameters ( vec ( "0.0" ),mat ( "100.0" ) );
+	enorm<fsqmat> g0;
+	g0.set_rv ( x );
+	g0.set_parameters ( vec ( "0.0" ), mat ( "100.0" ) );
 
-	M.set_method (  LOGNORMAL, 1.2 );
-	M.set_support(g0,200);
+	M.set_method ( LOGNORMAL, 1.2 );
+	M.set_support ( g0, 200 );
 	M.merge ();
 
Index: library/tests/mat_checks.cpp
===================================================================
--- library/tests/mat_checks.cpp (revision 465)
+++ library/tests/mat_checks.cpp (revision 477)
@@ -1,53 +1,52 @@
 #include "mat_checks.h"
 
-namespace UnitTest
-{
+namespace UnitTest {
 
-bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
-	      double tolerance) {
-    if (expected.length() != actual.length()) {
-        return false;
-    }
+bool AreClose ( const itpp::vec &expected, const itpp::vec &actual,
+                double tolerance ) {
+	if ( expected.length() != actual.length() ) {
+		return false;
+	}
 
-    for (int i = 0; i < expected.length(); ++i) {
-        if (!AreClose(expected(i), actual(i), tolerance)) {
-	    return false;
+	for ( int i = 0; i < expected.length(); ++i ) {
+		if ( !AreClose ( expected ( i ), actual ( i ), tolerance ) ) {
+			return false;
+		}
 	}
-    }
 
-    return true;
+	return true;
 }
 
-bool AreClose(const itpp::vec &expected, const itpp::vec &actual,
-	      const itpp::vec &tolerance) {
-    if ((expected.length() != actual.length()) ||
-	(actual.length() != tolerance.length())) {
-        return false;
-    }
+bool AreClose ( const itpp::vec &expected, const itpp::vec &actual,
+                const itpp::vec &tolerance ) {
+	if ( ( expected.length() != actual.length() ) ||
+	        ( actual.length() != tolerance.length() ) ) {
+		return false;
+	}
 
-    for (int i = 0; i < expected.length(); ++i) {
-        if (!AreClose(expected(i), actual(i), tolerance(i))) {
-	    return false;
+	for ( int i = 0; i < expected.length(); ++i ) {
+		if ( !AreClose ( expected ( i ), actual ( i ), tolerance ( i ) ) ) {
+			return false;
+		}
 	}
-    }
 
-    return true;
+	return true;
 }
 
-bool AreClose(const itpp::mat &expected, const itpp::mat &actual, double tolerance) {
-    if ((expected.rows() != actual.rows()) ||
-	(expected.cols() != actual.cols())) {
-        return false;
-    }
+bool AreClose ( const itpp::mat &expected, const itpp::mat &actual, double tolerance ) {
+	if ( ( expected.rows() != actual.rows() ) ||
+	        ( expected.cols() != actual.cols() ) ) {
+		return false;
+	}
 
-    for (int i = 0; i < expected.rows(); ++i) {
-        for (int j = 0; j < expected.cols(); ++j) {
-	    if (!AreClose(expected(i, j), actual(i, j), tolerance)) {
-		return false;
-	    }
+	for ( int i = 0; i < expected.rows(); ++i ) {
+		for ( int j = 0; j < expected.cols(); ++j ) {
+			if ( !AreClose ( expected ( i, j ), actual ( i, j ), tolerance ) ) {
+				return false;
+			}
+		}
 	}
-    }
 
-    return true;
+	return true;
 }
 
@@ -58,13 +57,11 @@
 int CurrentContext::index = -1;
 
-CurrentContext::CurrentContext(const char *name, int idx)
-{
-    config_name = name;
-    index = idx;
+CurrentContext::CurrentContext ( const char *name, int idx ) {
+	config_name = name;
+	index = idx;
 }
 
-CurrentContext::~CurrentContext()
-{
-    config_name = "???";
-    index = -1;
+CurrentContext::~CurrentContext() {
+	config_name = "???";
+	index = -1;
 }
Index: library/tests/additive_generator.h
===================================================================
--- library/tests/additive_generator.h (revision 467)
+++ library/tests/additive_generator.h (revision 477)
@@ -19,24 +19,23 @@
 /*! Iteratively adds squared random vector to a random matrix.
  */
-class additive_generator : public generator
-{
+class additive_generator : public generator {
 private:
-    itpp::mat a;
-    itpp::mat v2;
-    double lambda;
+	itpp::mat a;
+	itpp::mat v2;
+	double lambda;
 
 public:
-    additive_generator():lambda(0.5) { }
+	additive_generator() : lambda ( 0.5 ) { }
 
-    itpp::mat next();
+	itpp::mat next();
 
-    //! Load from structure with elements:
-    //!  \code
-    //! { size = 7; // size (rows == cols) of the generated matrix
-    //!   lambda = 0.5; // weight of the added vector
-    //! }
-    //! \endcode
-    //! size is mandatory, lambda optional (with default as shown).
-    void from_setting(const Setting &set);
+	//! Load from structure with elements:
+	//!  \code
+	//! { size = 7; // size (rows == cols) of the generated matrix
+	//!   lambda = 0.5; // weight of the added vector
+	//! }
+	//! \endcode
+	//! size is mandatory, lambda optional (with default as shown).
+	void from_setting ( const Setting &set );
 };
 
